export default {
  nodeIdxCache: state => state.nodeIdxCache,
  nodeData: state => state.nodeData,
  nodeById: state => id => {
    const idx = state.nodeIdxCache[id]
    return state.nodeData.nodes[idx]
  },
  registry: state => state.registry,
  activity: state => state.activity,

  /* nodeSelection: state => {
    return Object.keys(state.nodeSelection).map(k => state.nodeSelection[k])
  }, */
  nodeSelection: state => state.nodeSelection,
  nodeInspect: state => state.nodeInspect

}
